Update Recipient Nickname and Statusput https://example.com/programs/{programCode}/directory/updateRecipientUpdates the nickname and status of a recipient in the P2P directory.Path ParamsprogramCodestringrequiredThe program code identifying the BaaS program context.Body ParamsThe request payload containing recipient update details. ConsumerProfileDirectoryKey: The directory key for the recipient. RecipientStatus: The status of the recipient. NickName: The nickname for the recipient. ResourceId: The resource identifier. ProgramCode: The program code. consumerProfileDirectoryKeyint64The unique directory key for the consumer profile associated with the recipient.recipientStatusstring | nullThe status of the recipient.nickNamestring | nullThe nickname assigned to the recipient.resourceIdstring | nullThe unique resource identifier associated with the recipient.programCodestring | nullThe program code associated with the request, used for routing and business context.HeadersX-GD-RequestIdstringrequiredA unique request identifier for tracking and logging. Should be a GUID.acceptstringenumDefaults to application/jsonGenerated from available response content typesapplication/jsontext/jsonAllowed:application/jsontext/jsonResponses 200OK 401Unauthorized 403Forbidden 500Internal Server Error 503Service UnavailableUpdated 2 months ago